| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# GaudiException.h File Reference

`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/StatusCode.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/System.h"`
`#include <string>`
`#include <iostream>`
`#include <exception>`

Include dependency graph for GaudiException.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GaudiException
| Define general base for Gaudi exception. More...
## Functions
std::ostream & | operator<< (std::ostream &os, const GaudiException &ge)
| overloaded printout to std::ostream
std::ostream & | operator<< (std::ostream &os, const GaudiException *pge)
MsgStream & | operator<< (MsgStream &os, const GaudiException &ge)
| overloaded printout to MsgStream
MsgStream & | operator<< (MsgStream &os, const GaudiException *pge)
| overloaded printout to MsgStream

## Function Documentation

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException * | pge |
| ) |  |  |

overloaded printout to MsgStream

Definition at line 186 of file GaudiException.h.

    00186                                                                            {
    00187   return (0 == pge) ?
    00188     ( os << " GaudiException* points to NULL!" ) : ( os << *pge );
    00189 }

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException & | ge |
| ) |  |  |

overloaded printout to MsgStream

Definition at line 182 of file GaudiException.h.

References GaudiException::printOut().

    00182                                                                            {
    00183   return ge.printOut( os );
    00184 }

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException * | pge |
| ) |  |  |

Definition at line 177 of file GaudiException.h.

    00178 { return (0 == pge) ?
    00179     ( os << " GaudiException* points to NULL!" ) : ( os << *pge ); }

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException & | ge |
| ) |  |  |

overloaded printout to std::ostream

Definition at line 174 of file GaudiException.h.

References GaudiException::printOut().

    00174                                                                        {
    00175   return ge.printOut( os );
    00176 }